#vertex shader
#version 330 core
layout (location = 0) in vec3 coords;
out vec3 v_coords;

uniform mat4 MVP;
uniform mat4 OM;

void main()
{
  gl_Position = MVP * OM * vec4(coords, 1.0);
  v_coords = coords;
};

#fragment shader
#version 330 core
out vec4 FragColor;
in vec3 v_coords;

uniform vec3 color;
uniform vec3 eye;

void main()
{
  FragColor = vec4(color, max(1.0 - length(v_coords) / 100, 0.0));
};
